Server API
API Keys
API key management
curl -X GET "https://loading/api/v1/keys"[
{
"created_at": "2019-08-24T14:15:22Z",
"expires_at": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"key_prefix": "string",
"name": "string",
"revoked_at": "2019-08-24T14:15:22Z",
"scopes": [
"string"
]
}
]{
"error": "string"
}Create_key
AuthorizationBearer <token>
In: header
expires_at?string | null
Format
date-timenamestring
scopes?array<string> | null
Response Body
curl -X POST "https://loading/api/v1/keys" \
-H "Content-Type: application/json" \
-d '{
"name": "string"
}'{
"info": {
"created_at": "2019-08-24T14:15:22Z",
"expires_at": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"key_prefix": "string",
"name": "string",
"revoked_at": "2019-08-24T14:15:22Z",
"scopes": [
"string"
]
},
"key": "string"
}{
"error": "string"
}Revoke_key
AuthorizationBearer <token>
In: header
Path Parameters
idstring
API key ID
Format
uuidResponse Body
curl -X DELETE "https://loading/api/v1/keys/497f6eca-6276-4993-bfeb-53cbbbba6f08"{}{
"error": "string"
}{
"error": "string"
}